Subject: Re: [Coco] "C" Compiler C_PREP19 errors or mine?
From: Willard Goosey <[email-masked]>
To: CoCoList for Color Computer Enthusiasts <[email-masked]>
Date: Sat, 21 May 2011 14:32:31 -0600
List-Id: CoCoList for Color Computer Enthusiasts <coco.maltedmedia.com>

On Sat, May 21, 2011 at 07:59:13AM -0700, Stephen H. Fischer wrote:
> "fputs("\x1BM\x1Bl\d010\x1BQ\d090",fcb);" lines.
> 
> This sends control codes to an Epson printer.
> 
> Twenty years ago this was accepted just fine.

cprep19 is fussier about string escapes than the old c.prep. There's a string
constant in termcap.c that is #ifdef'ed out under OS-9, so the old
c.prep ignores it, but cprep19 complains about syntax errors in the
hex constants anyway.  I finally had to comment out the string so
cprep would shut up about it.

I don't really have a cure, other than re-write your strings. :-(

> The second item is the suggested use of __DATE__, __TIME__ and __FILE__ 
> taken right from the "cprep19.doc" file.

I've never done anything with those, sorry.

Willard
-- 
Willard Goosey  [email-masked]
Socorro, New Mexico, USA
I search my heart and find Cimmeria, land of Darkness and the Night.
  -- R.E. Howard

--
Coco mailing list
[email-masked]
http://five.pairlist.net/mailman/listinfo/coco